Package io.vertx.rxjava3.ext.web.sstore

## Class LocalSessionStore

- java.lang.Object
- - io.vertx.rxjava3.ext.web.sstore.SessionStore
  - - io.vertx.rxjava3.ext.web.sstore.LocalSessionStore

-     public class LocalSessionStore
      extends SessionStore

  A session store which is only available on a single node.

  Can be used when sticky sessions are being used.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<LocalSessionStore>` | `__TYPE_ARG` |
    `static long` | `DEFAULT_REAPER_INTERVAL` | Default of how often, in ms, to check for expired sessions
    `static String` | `DEFAULT_SESSION_MAP_NAME` | Default name for map used to store sessions
    `static int` | `DEFAULT_SESSIONID_LENGTH` | Default length for a session id.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LocalSessionStore​(LocalSessionStore delegate)` |
    `LocalSessionStore​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static LocalSessionStore` | `create​(Vertx vertx)` | Create a session store
    `static LocalSessionStore` | `create​(Vertx vertx, String sessionMapName)` | Create a session store
    `static LocalSessionStore` | `create​(Vertx vertx, String sessionMapName, long reaperInterval)` | Create a session store
    `boolean` | `equals​(Object o)` |
    `LocalSessionStore` | `getDelegate()` |
    `int` | `hashCode()` |
    `static LocalSessionStore` | `newInstance​(LocalSessionStore arg)` |
    `String` | `toString()` |

    - ### Methods inherited from class io.vertx.rxjava3.ext.web.sstore.SessionStore

      `clear, close, create, createSession, createSession, delete, get, init, newInstance, put, retryTimeout, rxClear, rxDelete, rxGet, rxPut, rxSize, size`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<LocalSessionStore> __TYPE_ARG

    - #### DEFAULT_SESSIONID_LENGTH

          public static final int DEFAULT_SESSIONID_LENGTH

      Default length for a session id. More info: https://www.owasp.org/index.php/Session_Management_Cheat_Sheet
      See Also:
        Constant Field Values

    - #### DEFAULT_REAPER_INTERVAL

          public static final long DEFAULT_REAPER_INTERVAL

      Default of how often, in ms, to check for expired sessions
      See Also:
        Constant Field Values

    - #### DEFAULT_SESSION_MAP_NAME

          public static final String DEFAULT_SESSION_MAP_NAME

      Default name for map used to store sessions
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LocalSessionStore

          public LocalSessionStore​(LocalSessionStore delegate)

    - #### LocalSessionStore

          public LocalSessionStore​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `SessionStore`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `SessionStore`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `SessionStore`

    - #### getDelegate

          public LocalSessionStore getDelegate()

      Overrides:
        `getDelegate` in class `SessionStore`

    - #### create

          public static LocalSessionStore create​(Vertx vertx)

      Create a session store
      Parameters:
        `vertx` - the Vert.x instance
      Returns:
        the session store

    - #### create

          public static LocalSessionStore create​(Vertx vertx,
                                                 String sessionMapName)

      Create a session store
      Parameters:
        `vertx` - the Vert.x instance
        `sessionMapName` - name for map used to store sessions
      Returns:
        the session store

    - #### create

          public static LocalSessionStore create​(Vertx vertx,
                                                 String sessionMapName,
                                                 long reaperInterval)

      Create a session store
      Parameters:
        `vertx` - the Vert.x instance
        `sessionMapName` - name for map used to store sessions
        `reaperInterval` - how often, in ms, to check for expired sessions
      Returns:
        the session store

    - #### newInstance

          public static LocalSessionStore newInstance​(LocalSessionStore arg)